aboutsummaryrefslogtreecommitdiff
path: root/bin/fnl
diff options
context:
space:
mode:
Diffstat (limited to 'bin/fnl')
-rwxr-xr-xbin/fnl21
1 files changed, 21 insertions, 0 deletions
diff --git a/bin/fnl b/bin/fnl
new file mode 100755
index 00000000..d27d1f90
--- /dev/null
+++ b/bin/fnl
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run a command and save its output and error to temporary files
+
+# Check we have at least one argument
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'fnl: Command needed\n'
+ return 2
+fi
+
+# Create a temporary directory; note that we *don't* clean it up on exit
+dir=$(mktd fnl) || exit
+
+# Run the command; keep its exit status
+"$@" >"$dir"/stdout 2>"$dir"/stderr
+ret=$?
+
+# Run wc(1) on each of the files
+wc -- "$dir"/*
+
+# Exit with the wrapped command's exit status
+exit "$ret"